# Get Automated Savings permission state

> Returns the Automated Savings managed-policy connection state and the Launch Stack URL

Source: https://docs.levelfour.ai/api-reference/recommendations/get-recommendations-by-id-automated-savings


## GET /api/v1/recommendations/{recommendation_id}/automated-savings

Returns the Automated Savings managed-policy connection state and the Launch Stack URL

### Authentication

Send `Authorization: Bearer <token>`.

### Parameters

- `recommendation_id` (path, string, required)

### Responses

#### 200: Successful Response

- `success` (boolean, default `true`)
- `timestamp` (date-time string)
- `data` (object, required)
  - `permission_status` (one of `connected`, `pending`, `unknown`, default `unknown`): Whether the Automated Savings managed policy is attached to the cross-account role
  - `launch_stack_url` (string, nullable): CloudFormation quick-create URL that attaches the Automated Savings managed policy to the role
  - `template_version` (string, nullable): Automated Savings catalog template version

#### Errors

- `400`: Bad Request
- `401`: Authentication Error
- `403`: Authorization Error
- `404`: Not Found
- `409`: Conflict
- `422`: Validation Error
- `429`: Rate Limit Exceeded
- `500`: Internal Server Error

Body of `400`, `401`, `403`, `404`, `409`, `422`, `429`, `500`:

- `success` (`false`, required)
- `error` (object, required)
  - `code` (string, required)
  - `message` (string, required)
  - `details` (any)
- `timestamp` (date-time string, required)
